require barebox.inc

RDEPENDS_${PN} += "${PN}-mlo"

SRCREV = "05d4d07f387fbcbfd5c719792ccfeb3e4aef5a2a"
SRC_URI = " \
	git://git.sysmocom.de/barebox.git;branch=v2015.06 \
	file://defconfig \
	"

PV = "v2015.06+git${SRCPV}"
S = "${WORKDIR}/git"

BAREBOX_IMAGE ?= "barebox-${MACHINE}-${PKGV}-${PKGR}.img"
BAREBOX_SYMLINK ?= "barebox-${MACHINE}.img"

do_deploy_append () {
	install -d ${DEPLOYDIR}
	install ${S}/images/barebox-am33xx-sysmocom-odu.img ${DEPLOYDIR}/${BAREBOX_IMAGE}
	cd ${DEPLOYDIR}
	rm -f ${BAREBOX_SYMLINK}
	ln -sf ${BAREBOX_IMAGE} ${BAREBOX_SYMLINK}
}
